VIOMB(4)

NAME
viomb - VirtIO memory ballooning driver

SYNOPSIS
viomb* at virtio?

DESCRIPTION
The viomb driver supports the virtio-compliant memory ballooning device.

Memory ballooning works as follows:

1.  The host operator requests a guest to return some amount of memory to the host (via, for example, the QEMU monitor balloon command).
2.  The hypervisor sends the request via the VirtIO memory ballooning device.
3.  The guest viomb driver requests allocation of that amount of physical memory from the OpenBSD memory management system.
4.  The viomb device tells the hypervisor the guest physical memory address of the allocated memory via the VirtIO memory ballooning device.

SEE ALSO
intro(4), virtio(4) Rusty Russell, IBM Corporation, Virtio PCI Card Specification, http://ozlabs.org/~rusty/virtio-spec/.

HISTORY
The viomb device driver first appeared in OpenBSD 5.3.